
Redmine - Feature #6555

Double-click on "Submit" and "Save" buttons should not send two requests to server

2010-10-01 22:57 - Alex Last

Status: Closed Start date: 2010-10-01

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed   

Description

Redmine web pages should disable "Submit" (or "Save" on some pages) button after it was clicked once to prevent mouse

double-click sending two identical requests to server.

Related issues:

Related to Redmine - Defect #10517: Submitting a form twice results in duplic... Closed

Related to Redmine - Defect #10675: "Submit and continue" is broken Closed

Associated revisions

Revision 9391 - 2012-04-13 19:01 - Jean-Philippe Lang

Disable submit buttons when submitting a form (#6555).

History

#1 - 2012-04-13 19:02 - Jean-Philippe Lang

- Subject changed from double-click on "Submit" and "Save" buttons should not send two requests to server to Double-click on "Submit" and "Save"

buttons should not send two requests to server

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

Fixed in r9391.

#2 - 2012-04-14 06:58 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
